## org.apache.poi.poifs.filesystem
Class DocumentDescriptor

    java.lang.Object
      org.apache.poi.poifs.filesystem.DocumentDescriptor

public class DocumentDescriptor
extends java.lang.Object

Class DocumentDescriptor

Version:
  %I%, %G%
Author:
  Marc Johnson (mjohnson at apache dot org)

Constructor Summary
`DocumentDescriptor(POIFSDocumentPath path, java.lang.String name)` Trivial constructor

Method Summary
`boolean` `equals(java.lang.Object o)` equality.
`int` `hashCode()` calculate and return the hashcode
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DocumentDescriptor

    public DocumentDescriptor(POIFSDocumentPath path,
                              java.lang.String name)

  Trivial constructor

Parameters:
  `path` - the Document path
  `name` - the Document name

Method Detail

### equals

    public boolean equals(java.lang.Object o)

  equality. Two DocumentDescriptor instances are equal if they have equal paths and names

  Parameters:
    `o` - the object we're checking equality for
  Returns:
    true if the object is equal to this object

### hashCode

    public int hashCode()

  calculate and return the hashcode

  Returns:
    hashcode

### toString

    public java.lang.String toString()

Copyright © 2003 Apache Software Foundation.